net.ME1312.SubServers.Bungee.Library

## Class Container<V>

- java.lang.Object
- - net.ME1312.SubServers.Bungee.Library.Container<V>

Direct Known Subclasses:
  NamedContainer

    public class Container<V>
    extends java.lang.Object

Container Class

Author:
  ME1312

### Constructor Summary

Constructors
Constructor and Description
`Container(V item)` Creates a Container

### Method Summary

All Methods Instance Methods Concrete Methods
`V` `get()` Grabs the Object
`void` `set(V value)` Overwrite the Object

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Container

    public Container(V item)

Creates a Container

Parameters:
  `item` - Object to Store

### Method Detail

#### get

    public V get()

Grabs the Object

Returns:
  The Object

#### set

    public void set(V value)

Overwrite the Object

Parameters:
  `value` - Object to Store